from django.shortcuts import render
from django.http import HttpResponse
from blog.models import Article

# Create your views here.

def index(request):
    #return HttpResponse('hello 123')
    #article = Article.objects.get(pk=1)
    article = Article.objects.all()
    #print(article)
    return render(request,'index.html',{'article':article})

def detail(request, article_id):
    detail = Article.objects.get(pk = article_id)
    return render(request,'detail.html',{'detail':detail})

def add_page(request):
    return render(request,'add_page.html')

def edit_page(request,article_id):
    detail = Article.objects.get(pk = article_id)
    return render(request,'add_page.html',{'article_id':article_id,'detail':detail})

def edit_action(request):
    title = request.POST.get('title','TITLE')
    content = request.POST.get('content','CONTENT')
    article_id = request.POST.get('article_id','')
    if article_id!='':
       article = Article.objects.get(pk = article_id) 
       article.title = title
       article.content = content
       article.save()
       article = Article.objects.all()
       return render(request,'index.html',{'article':article}) 
    else:
       Article.objects.create(title=title,content=content)
       article = Article.objects.all()
       return render(request,'index.html',{'article':article}) 


def demo(request):
    return HttpResponse('demodemo')